#
# spec file for package nwg-bar
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           nwg-bar
Version:        0.1.6
Release:        1.3
Summary:        Golang replacement to the nwgbar 
License:        MIT
URL:            https://github.com/nwg-piotr/nwg-bar
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
Patch0:         no-docs.patch
BuildRequires:  golang(API) >= 1.20
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:  gtk-layer-shell-devel


%description
Golang replacement to the nwgbar command (a part of nwg-launchers), with some improvements. Originally aimed at sway, works with wlroots-based compositors only.
%prep
%autosetup -a 1 -p0

%build
go build -o bin/nwg-bar -mod=vendor -buildmode=pie

%install
%make_install PREFIX="%{_prefix}"

%files
%license LICENSE
%doc README.md
%{_bindir}/nwg-bar
%dir %{_datadir}/nwg-bar
%{_datadir}/nwg-bar/*

%changelog
* Fri May 31 2024 nyslay@gmail.com
- Update to version 0.1.6:
  * fix install paths
  * bump to 0.1.6
  * copy README.md, LICENSE
  * update dependencies
  * handle errors
  * ioutil -> os
  * bump to 0.1.5
  * update dependencies
  * don't force dark theme variant #31
* Fri May 31 2024 nyslay@gmail.com
- Update to version 0.1.6:
  * fix install paths
  * bump to 0.1.6
  * copy README.md, LICENSE
  * update dependencies
  * handle errors
  * ioutil -> os
  * bump to 0.1.5
  * update dependencies
  * don't force dark theme variant #31
* Fri May 31 2024 nyslay@gmail.com
- Update to version 0.2.7:
  * update README.md
  * update dependencies; bump to 0.2.7
  * Add $PREFIX support to Makefile.
  * Look for glade file in all data directories.
  * Look for en_US.json in all data directories.
  * update README.md Makefile
  * update README.md Makefile
  * bump to 0.2.6
  * update dependencies
* Fri Feb 16 2024 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 0.2.7:
  * update README.md
  * update dependencies
  * Look for glade file in all data directories.
  * Look for en_US.json in all data directories.
  * add `-x` for exportConfigs and quit
* Sat Nov 18 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 0.2.4:
  * update LICENSE copyright
  * replace FATA w/ WARN if target path nonexistent
  * replace deprecated ioutil with os
  * update dependencies
  * i18n: create zh_CN translation
  * Fixed text scale factor loading from file
* Thu May 18 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 0.2.2:
  * Use map value, not key
  * Add Russian localization
  * Update README.md
* Tue Mar  7 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 0.2.1:
  * fix "toolbar-icon-size" label
  * fix JSON indentation
  * add missing translations
  * add translation engine
  * upgrade dependencies
  * tools.go: respect color-scheme settings
  * Create FUNDING.yml
* Thu Jan 19 2023 Joshua Smith <jsmithfpv@gmail.com>
- Initial package for 0.1.4
